import { OnChanges } from '@angular/core';
import { IconsService } from '../../services/content/icons.service';
export declare class OsIconComponent implements OnChanges {
    private iconsService;
    constructor(iconsService: IconsService);
    os: string;
    size: 'sm' | 'md' | 'lg';
    icon: string;
    ngOnChanges(): void;
    detectOperatingSystem(): void;
    overwriteWindowsName(): void;
}
